aboutsummaryrefslogtreecommitdiff
path: root/script/run_jekyll.sh
diff options
context:
space:
mode:
Diffstat (limited to 'script/run_jekyll.sh')
-rwxr-xr-xscript/run_jekyll.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/script/run_jekyll.sh b/script/run_jekyll.sh
new file mode 100755
index 00000000..0bf5ccf1
--- /dev/null
+++ b/script/run_jekyll.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+set -e # halt script on error
+
+# Build site, validate HTML
+bundle exec jekyll build
+bundle exec htmlproofer ./_site --checks-to-ignore 'LinkCheck'